## org.w3c.jigsaw.filters
Class CookieFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.filters.CookieFilter

public class CookieFilter
extends ResourceFilter

A demo for how to use cookies from Jigsaw.

Field Summary
`protected static int` `ATTR_COOKIE_MAXAGE` Attribute index - The duration of the cookie.
`static java.lang.String` `NAME`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`CookieFilter()`

Method Summary
`int` `getCookieMaxAge()` Get the cookie's allowed max age.
`ReplyInterface` `ingoingFilter(RequestInterface request)` Simplified ingoingFilter API.
`ReplyInterface` `outgoingFilter(RequestInterface req, ReplyInterface rep)` Simplified API to the outgoing filter metho.

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, initialize, lookup, outgoingFilter, outputFilter, pickleValues`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, setValue, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

### ATTR_COOKIE_MAXAGE

    protected static int ATTR_COOKIE_MAXAGE

  Attribute index - The duration of the cookie.

Constructor Detail

### CookieFilter

    public CookieFilter()

Method Detail

### getCookieMaxAge

    public int getCookieMaxAge()

  Get the cookie's allowed max age.
  Returns:
    The max allowed age in seconds.

### ingoingFilter

    public ReplyInterface ingoingFilter(RequestInterface request)
                                 throws ProtocolException

  Description copied from class: ResourceFilter
  Simplified ingoingFilter API. This is a default, simplified API to the ingoing filter method.
  Overrides:
    ingoingFilter in class ResourceFilter
  Returns:
    A Reply instance, if the filter did know how to answer the request without further processing, null otherwise.
  Throws:
    ProtocolException - If processing should be interrupted, because an abnormal situation occured.

### outgoingFilter

    public ReplyInterface outgoingFilter(RequestInterface req,
                                         ReplyInterface rep)
                                  throws ProtocolException

  Description copied from class: ResourceFilter
  Simplified API to the outgoing filter metho. This is a simplified API to the ougoing filter method, you can either overide this method, or the more powerfull one.
  Overrides:
    outgoingFilter in class ResourceFilter
  Parameters:
    `request` - The original request.
    `reply` - It's original reply.
  Returns:
    A Reply instance, or null if processing should continue normally.
  Throws:
    ProtocolException - If processing should be interrupted, because an abnormal situation occured.